## com.sun.grizzly.util
Enum InputReader.ChannelType

    java.lang.Object
      java.lang.Enum<InputReader.ChannelType>
          com.sun.grizzly.util.InputReader.ChannelType

All Implemented Interfaces:
  Serializable, Comparable<InputReader.ChannelType>

Enclosing class:
  InputReader

    public static enum InputReader.ChannelType

extends Enum<InputReader.ChannelType>

The `Channel` type is used to avoid invoking the instanceof operation when registering the Socket|Datagram Channel to the Selector.

Enum Constant Summary
`DatagramChannel`
`SocketChannel`

Method Summary
`static InputReader.ChannelType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InputReader.ChannelType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SocketChannel

    public static final InputReader.ChannelType SocketChannel

### DatagramChannel

    public static final InputReader.ChannelType DatagramChannel

Method Detail

### values

    public static InputReader.ChannelType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InputReader.ChannelType c : InputReader.ChannelType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InputReader.ChannelType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008 SUN Microsystems. All Rights Reserved.